[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TGridColumn.GetValueChecked

Gets the value for the ValueChecked property.

## Declaration

Source position: grids.pas line 589

`protected function TGridColumn.GetValueChecked: string;`

## Function result

Value for the ValueChecked property.

## Description

Returns the value from the GetDefaultValueChecked method if an explicit value has not been assigned for the property.

## See also

TGridColumn.ValueChecked |  | Contains the checked value for a check box in the column.
TGridColumn.GetDefaultValueChecked |  | Gets the default value for a checked cell in the grid column.
TGridColumn.ButtonStyle |  | The style used for a button displayed for cells in the column.
TColumnButtonStyle |  | Enumeration with cell editor types available in a grid control.